Subject: Re: "x86: allocate space within a region top-down" causes bar0 access issue

From: Jon Mason <[email-masked]>
Date: Sat, 18 Dec 2010 16:01:09 -0600

On Fri, Dec 17, 2010 at 11:47:21AM -0800, Jesse Barnes wrote:
> On Fri, 17 Dec 2010 13:44:58 -0600
> Jon Mason <[email-masked]> wrote:
>
> > The following patch is causing problem with the vxge driver/adapter on
> > HP x86-64 systems. Reads to bar0 to return 0xffffffffffffffff instead
> > of their intended value.  This prevents the vxge module from loading
> > by failing sanity checks in the driver for certain values in bar0.  We
> > are not seeing any issues with this patch on non-HP systems in our
> > lab.
> >
> > Can this patch be removed from 2.6.37 until a better solution can be
> > found?
>
> Can you try my for-linus branch and see if the problem still exists
> there?  It's at
> git://git.kernel.org/pub/scm/linux/kernel/git/jbarnes/pci-2.6.git.

The for-linus branch does NOT have the issue
The master branch does have the issue

Thanks,
Jon

>
> Thanks,
> --
> Jesse Barnes, Intel Open Source Technology Center

The information and any attached documents contained in this message
may be confidential and/or legally privileged.  The message is
intended solely for the addressee(s).  If you are not the intended
recipient, you are hereby notified that any use, dissemination, or
reproduction is strictly prohibited and may be unlawful.  If you are
not the intended recipient, please contact the sender immediately by
return e-mail and destroy all copies of the original message.